clear,clc,close all
%% plot pdf
u1 = -3;
u2 = -1;
u3 = 7;
sigma = 1;

step11 = 4;
step12 = 5;
step21 = 5;
step22 = 3;
step31 = 6;
step32 = 4;

x1 = u1-step11:0.01:u1+step12;
x2 = u2-step21:0.01:u2+step22;
x3 = u3-step31:0.01:u3+step32;

n1_pdf = normpdf(x1, u1, sigma);
n2_pdf = normpdf(x2, u2, sigma);
n3_pdf = normpdf(x3, u3, sigma);

plot(x1, n1_pdf, 'k', 'linewidth',2)
hold on
plot(x2, n2_pdf, 'k', 'linewidth',2)
hold on
plot(x3, n3_pdf, 'k', 'linewidth',2)
hold on
%axis([-7 10 0 1])

hold on
%% dash line of x1, x2, x3, x4
y1=[1e-8 n1_pdf(find(u1==x1))];
plot([u1 u1], y1, 'k--', 'linewidth',2)
hold on
y2=[1e-8 n2_pdf(find(u2==x2))];
plot([u2 u2], y2, 'k--', 'linewidth',2)
y3=[1e-8 n3_pdf(find(u3==x3))];
plot([u3 u3], y3, 'k--', 'linewidth',2)

hold on

%% quantization boundaries y1,y2,...,yN
xx1 = [u1-1.5 u1-1.5];
yy1 = [1e-8 1];
plot(xx1,  yy1, 'b-.', 'linewidth',2)
hold on

xx2 = xx1+2.5;
yy2 = [1e-8 1];
plot(xx2,  yy2, 'b-.', 'linewidth',2)
hold on

xx3 = xx2+2.5;
yy3 = [1e-8 1];
plot(xx3,  yy3, 'b-.', 'linewidth',2)
hold on

xx4 =[u3-1 u3-1];
yy4 = [1e-8 1];
plot(xx4,  yy4, 'b-.', 'linewidth',2)
hold on

xx5 = xx4+2.5;
yy5 = [1e-8 1];
plot(xx5,  yy5, 'b-.', 'linewidth',2)

xx6 = [-7.5 -7.5];
yy6 = [1e-8 1];
plot(xx6,  yy6, 'b-.', 'linewidth',2)
hold on

xx7 = [11.5 11.5];
yy7 = [1e-8 1];
plot(xx7,  yy7, 'b-.', 'linewidth',2)
hold on

